//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed 
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = 'Browser Enablement Diagnostic Tool';
StringTable["info_tab"] = 'Results';
StringTable["problem_tab"] = 'Problem and Solution';
StringTable["details_tab"] = 'Details (<i>Advanced</i>)';
StringTable["welcome"] = 'Welcome to the Browser Enablement Diagnostic Tool';
StringTable["run_button"] = 'Click Here to Run Diagnostic Tests';
StringTable["info_result"] = '<div><h2>Browser Enablement Test Result:';
StringTable["info_result_passed_1"] = '<font style="color: green"> Passed!</font></h2></div>\n';
StringTable["info_result_passed_2"] = '<p>Your browser is enabled properly.</p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Failure!</font></h2></div>';
StringTable["info_result_failed_2"] = '<p>See Problem and Solution tab for instructions to fix the problem.</p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>Java is not enabled in the browser.<p>';
StringTable["info_result_failed_java"] = '<p>A JVM is not running in your browser.</p>';
StringTable["info_result_failed_ft"] = '<p>The JVM used by the browser does not appear to be enabled.</p>';
StringTable["info_result_failed_htdi"] = '<p>Functional Test code not successfully loaded by the browser.</p>';
StringTable["problem_noproblem"] = '<h2>There are no problems to report.</h2>';
StringTable["problem_javaenabled_header"] = 'Java is not enabled in the browser.';
StringTable["problem_javaenabled_content1"] = 'If using Internet Explorer:'+
				'<ol><li type="i">Go to the <i>Tools > Internet Options</i> menu.</li>'+
				'<li type="i">Go to the <i>Advanced</i> tab.'+
				'<li type="i">Make sure you are using a JVM. Find a JVM in the list and make sure it is selected.</li></ol>';
StringTable["problem_javaenabled_content2"] = 'If using Firefox:' +
				'<ol><li type="i">Go to the <i>Edit > Preferences</i> menu.</li>'+
				'<li type="i">Select the <i>Advanced</i> category.</li>'+
				'<li type="i">In the <i>Features that help interpret web pages</i> group make sure that Java is enabled.</li></ol>';
StringTable["problem_javaenabled_content3"] = 'On Linux Operating Systems:'+
				'<ol><li type="i">Go to the <i>plugins</i> directory under Firefox installation directory.</li>'+
				'<i>cd &lt;Firefox>/plugins</i>'+
				'<li type="i">Create a symbolic link to the <i>libjavaplugin_oji.so</i> which can be found under JRE installation directory.</li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so</i> <br>OR'+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so</i></ol>';
StringTable["problem_nojava_header"] = 'A JVM is not running in your browser.';	
StringTable["problem_nojava_content1"] = 'Make sure that you have a JVM installed on your machine.';
StringTable["problem_nojava_content2"] = 'Make sure that the JVM is associated with the browser.'+
				'<ol>On Windows Operating Systems:'+
				'<li type="i">Go to <i>Settings > Control Panel</i> from the Start menu.</li>'+
				'<li type="i">Open the <i>Java Plug-in Control Panel</i>.</li>'+
				'<li type="i">Go to the <i>Java</i> tab.</li>'+
				'<li type="i">Click on the <i>View</i> Button for the <i>Java Applet Runtime Settings</i>'+
				'<li type="i">Make sure that <i>Java Plug-in will be used as the default Java Runtime</i> is selected for your browser. Click the checkbox next to your browser.</li>'+
				'<li type="i">Click <i>Apply</i> and close Control Panel.</li></ol>';
StringTable["problem_ft_header"] = 'The JVM used by the browser does not appear to be enabled.';
StringTable["problem_ft_content1"] = 'Open the Enabler by clicking <i>Configure > Enable Environments for Testing</i> and click the <i>Java Environments</i> tab. Select all the listed environments and click <i>Enable</i>.';
StringTable["problem_ft_content2"] = 'Alternatively on Windows Operating Systems:<ol>'+
				'<li type="i">Go to <i>Settings > Control Panel</i> from the Start menu.</li>'+
				'<li type="i">Open the <i>Java Plug-in Control Panel</i>.</li>'+
				'<li type="i">Go to the <i>Advanced</i> tab.</li>'+
				'<li type="i">For <i>Java Runtime Environment</i> pick a version that you know to be enabled.</li>'+
				'<li type="i">Click <i>Apply</i> and close Control Panel.</li></ol>';
StringTable["problem_ft_content3"] = 'As a last resort on Windows you can add a registry key to have the browser use the default Functional Test JRE.<ol>'+
				'<li type="i">Go to the <i>Start Menu</i> and select <i>Run...</i></li>'+
				'<li type="i">Type "regedit" and click <i>OK</i>.</li>'+
				'<li type="i">Navigate to <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>'+
				'<li type="i">Add a key "Applet Support" with a string value of "0".</li></ol>';
StringTable["problem_htdi_header"] = 'Functional Test code not successfully loaded by the browser.'	
StringTable["problem_htdi_content1"] = 'Try disabling and reenabling the browser in the Enabler.'+
				'<ol><li type="i">Click <i>Configure > Enable Environments for Testing</i>.</li>'+
				'<li type="i">On the <i>Web Browsers</i> tab, select the browser and click <i>Disable</i>.</li>'+
				'<li type="i">Select the browser again and click <i>Enable</i>.</li></ol>';
StringTable["problem_htdi_content2"] = 'If using Internet Explorer:'+
				'<ol><li type="i">Go to the <i>Tools > Internet Options</i> menu.</li>'+
				'<li type="i">Go to the <i>Advanced</i> tab.'+
				'<li type="i">Make sure that <i>Enable Third Party Browser Extensions</i> is checked.</li></ol>'+
				'<ol><b>If Enabled...</b>'+
				'<li type="i">Find the file RTXIEEnabler.dll in the Functional Test install directory. If you took the default install options, that would be <code>c:\\Program Files\\IBM\\SDP\\FunctionalTester\\bin\\</code>.</li>'+
				'<li type="i">From a command shell (cmd.exe) navigate to the directory containing RTXIEEnabler.dll.</li>'+
				'<li type="i">Type "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = '<i>Java Enabled In Browser = </i>';				
StringTable["details_java_enabled_header"] = 'Java Enabled';
StringTable["details_bootstrap_loaded"] = '<i>Bootstrap Loaded = </i>';
StringTable["details_java2tdi_loaded"] = '<i>Java2TestDomainImplementation Loaded = </i>';
StringTable["details_htdi_loaded"] = '<i>HtmlTestDomainImplementation Loaded = </i>';
StringTable["details_htdi_name"] = '<i>HtmlTestDomainImplementation Name = </i>';
StringTable["details_enablement_header"] = 'General Enablement Information';
StringTable["details_jvm_version"] = '<i>JVM Version = </i>';
StringTable["details_jvm_vendor"] = '<i>JVM Vendor = </i>';
StringTable["details_jvm_header"] = 'JVM Information';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Flex Environment Enablement Test';
StringTable["flex_prereq_failed_header"]		 = 'Testing Enablement of Flex application is not possible';
StringTable["flex_prereq_failed_detail"]		 = 'Please verify if the browser and/or JVM is properly enabled. This is a pre-requisite to test the enablement of Flex application';
StringTable["flex_test_header"]					 = 'The following settings were verified. The results are below';
StringTable["flex_test_info"]					 = '<div><h2>Browser Settings For Flex Results : ';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred">Failure!</font></div></h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">Passed!</font></div></h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>The Browser does not appear to be configured correctly to test flex application. Verify the following browser settings : </p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">  Browser settings appear to be configured correctly for testing Flex application </p></font>';
StringTable["flex_test_success_noprob"] 		 = 'No problems to report.';
StringTable["flex_test_localserver"] 			 = 'For Web Server configured on local host';
StringTable["flex_test_remoteserver"]			 = 'For Web Server configured on remote machine';

// Current
StringTable["flex_header_enablement_info"]		 = 'Flex Test Environment Requirements';
StringTable["flex_test_general_info"]			 = '<br/><h3>In order to test Flex applications, verify the following settings:</h3>';
StringTable["flex_test_browser_header"] 		 = 'Test Browser Enablement';
StringTable["flex_test_browser_info"]			 = 'The Browser Enablement Test must pass i.e., both the browser and the associated JVM should be enabled.<br>';
StringTable["flex_test_compiletime_header"] 	 = 'For Compile Time Enablement';
StringTable["flex_test_compiletime_header_ex1"]  = 'Application existing in a Local directory of the system';
StringTable["flex_test_compiletime_info"]		 = 'Add the Flex Application Under Test to the Flash trusted directory, using the following steps: '+
							   '<ol>'+
							   '<li type = "i">Create a folder named <b>FlashPlayerTrust</b> in <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b>'+
							   '<li type = "i">Create a file named <b>Flex</b>,without any extension in the <b>FlashPlayerTrust</b> folder created above.</li>'+
							   '<li type = "i">Type the directory path of the Flex application in the <b>Flex</b> file created above. For example, if the Flex application is in the <b>"C:\\Test"</b> directory, type the path in the <b>Flex</b> file as <b>C:\\Test</b></li>'+
							   '<li type = "i"> Save the file.</li>';
StringTable["flex_test_ie_header"]			 	= 'For Internet Explorer';
StringTable["flex_test_ie_header_ex1"]			= 'Applications configured for Runtime Loading Or hosted on a server';
StringTable["flex_test_ie_info"]			 	= 'Configure Internet Explorer as follows:'+
							   '<ol><b>Add the Flex application\'s URL to Local Intranet zone...</b>' +
							   '<ol><li type = "i"> Go to the <i><b>Tools > Internet Options </b></i></li>'+
							   '<li type="i"> Go to the <i><b> Security</b></i> tab.</li>'+
							   '<li type="i"> Select <i><b>Local Intranet</b> </i> zone.</li>'+
							   '<li type="i"> Click on <i><b>Sites > Advanced</b> </i> buttons.</li>'+
							   '<li type="i"> In <i><b>Add this website to the zone</b></i> field, enter the URL of the Flex application.</li>'+
							   '<li type="i"> Click <i><b>Add</b></i> and then click <i><b>OK</b></i>.</li></ol>'+
							   '<br>'+
							   '<b>Allow ActiveX controls...</b>'+
							   '<ol><li type="i"> Select <i><b>Local Intranet</b></i> zone</li>'+
							   '<li type="i"> Click <i><b>Custom Level</b></i>.</li>'+
							   '<li type="i"> In the <i><b>Reset to:</b></i> dropdown select <i><b>Medium-low</b></i>.</li>'+
							   '<li type="i"> In the <i><b>Settings</b></i> pane select <i><b> Enable</b> </i> for <i><b> Initialize and script ActiveX controls not marked as safe for scripting</b></i> </li>'+
							   '<li type="i"> Click <i><b>OK</b></i> and then <i><b>OK</b></i> again to save the security settings and close the Internet Options window</li></ol>';
StringTable["flex_test_ff_header"]			 	= 'For Firefox Browser';
StringTable["flex_test_ff_header_ex1"] 			= 'both Compile-time and Runtime Enablement';
StringTable["flex_test_ff_info"]  			 	= 'Configure Firefox as follows:'+
							   '<ol><li type = "i">Enable the privileges by deploying the Java script files: <b>user.js</b> and <b>prefs.js</b></li>'+
							   '<li type = "i">These files are available in the <b><i> Flex</i></b> folder of RFT Installation directory (By default, the location is <b><i>"C:\\Program Files\\IBM\\SDP\\FunctionalTester\\Flex"</i></b>.</li>'+
							   '<li type = "i">Copy these files to<b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"(Ideally the location is C:\\Documents and Settings\\<username>\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b> directory.</li></ol>'+
							   '<font style="Color : red">NOTE: The name "zpy0wokq.default" may vary on different computers.</font>';
